.slideshow.banner {
  flex-direction: row;
  flex-wrap: nowrap;
  margin: 0;
  gap: 0;
}

.slideshow__controls {
  display: none;
}

@media screen and (max-width: 749.99px) {
  .slideshow--placeholder.banner--mobile-bottom.banner--adapt_image_mobile .slideshow__media,
  .slideshow--placeholder.banner--adapt_image_mobile:not(.banner--mobile-bottom) {
    height: 28rem;
  }
}

@media screen and (min-width: 750px) {
  .slider.slideshow {
    scroll-behavior: auto;
  }

  .slideshow--placeholder.banner--adapt_image {
    height: 56rem;
  }

  .slideshow__text-wrapper.banner__content {
    height: 100%;
  }

  .slideshow__text.slideshow__text--left {
    align-items: flex-start;
    text-align: start;
  }

  .slideshow__text.slideshow__text--right {
    align-items: flex-end;
    text-align: end;
  }

  .js .slideshow__text-wrapper {
    overflow: hidden;
  }

  .js .slideshow__media {
    transition: transform 500ms ease;
    transform: scale(1.3);
  }
  .js .slideshow__text-wrapper .banner__box {
    transition: opacity 500ms cubic-bezier(.03,.93,.97,1);
  }
  .js .slideshow__text-wrapper .banner__box > * {
    transition: transform 500ms cubic-bezier(.03,.93,.97,1) 300ms, opacity 500ms cubic-bezier(.03,.93,.97,1) 300ms;
  }
  .js .slideshow__slide:not(.active) .slideshow__text-wrapper .banner__text {
    transform: translateX(-100%);
    opacity: 0;
  }

  .js .slideshow__slide:not(.active) .slideshow__text-wrapper .banner__heading {
    transform: translateX(100%);
    opacity: 0;
  }

  .js .slideshow__slide:not(.active) .slideshow__text-wrapper .banner__buttons {
    transform: translateY(100%);
    opacity: 0;
  }

  .js .slideshow__slide:not(.active) .slideshow__text-wrapper .banner__badge {
    transform: translateY(-100%);
    opacity: 0;
  }

  .js .slideshow__slide:not(.active) .slideshow__text-wrapper .banner__box {
    opacity: 0;
  }

  .js .slideshow__slide.active .slideshow__media {
    transform: scale(1);
  }

  .banner__media--desktop-half.banner__media {
    width: 50%;
  }

  .slideshow__media.banner__media--desktop-right {
    inset-inline-start: auto;
    inset-inline-end: 0;
  }
}

.slideshow__slide {
  padding: 0;
}

div.slideshow__text {
  position: static;
}

.slideshow__text > * {
  max-width: 100%;
}

@media screen and (max-width: 749.99px) {
  .banner--mobile-bottom .slideshow__text.banner__box {
    max-width: 100%;
  }

  .banner--mobile-bottom .slideshow__text-wrapper {
    flex-grow: 1;
  }

  .banner--mobile-bottom .slideshow__text.banner__box {
    height: 100%;
  }

  .banner--mobile-bottom .slideshow__text .button {
    flex-grow: 0;
  }

  .slideshow__text.slideshow__text-mobile--left {
    align-items: flex-start;
    text-align: start;
  }

  .slideshow__text.slideshow__text-mobile--right {
    align-items: flex-end;
    text-align: end;
  }
}

.slideshow:not(.banner--mobile-bottom) .slideshow__text-wrapper {
  height: 100%;
}